Packages - Privacy Issue #2326

linux-libre 5.1.4-gnu-1 an gzip
2019-05-26 08:02 PM - pisechka

Status: unconfirmed % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

While installation a new kernel I'm watching the gzip is connect to internet ~ 2 seconds.
Tell me it's OK that gzip connect some seconds to internet?

Why he did it?

Have screenshot. Thanks.

History

#1 - 2019-05-26 08:21 PM - Megver83

- Assignee set to Megver83

| don't understand what you mean. This kernel update is like any other kernel update, there's nothing new.

#2 - 2019-05-27 10:19 AM - pisechka
- File Screenshot.png added
Megver83 wrote:

| don't understand what you mean. This kernel update is like any other kernel update, there's nothing new.

I'm watch it in #nethogs.

#3 - 2019-05-27 10:52 AM - freemor

It sounds like #nethogs is being inaccurate in its reporting. Gzip has no networking capabilities of its own. So to say gzip is making a connection is
close to nonsensical

Can you set nethogs to show you the exact command that is causing the offending traffic. It may be something pulling from then net and piping
through gzip

Or it might ne logs on a network share in which case Samba of NFS is really doing the network connection.

Long story short I'll be very hard to access this situation without knowing the actual command that is causing the Traffic

Nedxt time you see this happening it'd be helpful if you could quickly in another terminal run

ps —afx >> Running.log

Then examine Running.log to see if it containes the offending gzip command. And if so attach Running.log to this BR

If the output of ps does not contain a reference to gzip, then either you were a little to slow and the gzip comand finished before you had a chance to
run ps, Or nethogs is way off on what it is reporting.

Also please be sure that this is an actual network connection not just IPC via the LO interface.
Futhter information that would be useful:
To and From IP addresses of the connection

The acutal command causing the connection (see above)
Steps to recreate the event
